{
    attributes = (
        {
            columnName = "TEX_ID"; 
            externalType = NUMBER; 
            name = texId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TFR_ID"; 
            externalType = NUMBER; 
            name = tfrId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TFRX_ID"; 
            externalType = NUMBER; 
            name = tfrxId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (tfrxId); 
    className = "org.cocktail.fwkcktlreport.server.metier.EOTypeFormatExport"; 
    classProperties = (toTypeExport, toTypeFormatRapport); 
    externalName = "cktl_report.TYPE_FORMAT_EXPORT"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkCktlReport_TypeFormatExport"; 
    primaryKeyAttributes = (tfrxId); 
    relationships = (
        {
            destination = "FwkCktlReport_TypeExport"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = texId; sourceAttribute = texId; }); 
            name = toTypeExport; 
        }, 
        {
            destination = "FwkCktlReport_TypeFormatRapport"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tfrId; sourceAttribute = tfrId; }); 
            name = toTypeFormatRapport; 
        }
    ); 
}
